<?php

namespace Polkurier\Integrations;

use Polkurier\Util\Arr;

abstract class AbstractIntegration
{

    /**
     * @param string $key
     * @return mixed|string
     */
    protected function getPostData($key)
    {
        if (isset($_POST['post_data'])) {
            $data = [];
            parse_str($_POST['post_data'], $data);
            if (isset($data[$key])) {
                return $data[$key];
            }
        }
        return '';
    }

}
