<?php


namespace Polkurier\Exception;


use \Exception;


/**
 * Class MethodNotAllowedException
 * @package Polkurier\Exception
 */
class MethodNotAllowedException extends HttpException
{

    /**
     * MethodNotAllowedException constructor.
     * @param Exception|null $previous
     */
    public function __construct(Exception $previous = null)
    {
        parent::__construct('Method Not Allowed', 405, $previous);
    }

}
